DPDK patches and discussions
 help / color / mirror / Atom feed
* [PATCH] devtools: fix symbols check
@ 2022-03-08 21:18 Thomas Monjalon
  2022-03-08 21:21 ` Thomas Monjalon
  2022-03-08 21:27 ` Liang Ma
  0 siblings, 2 replies; 5+ messages in thread
From: Thomas Monjalon @ 2022-03-08 21:18 UTC (permalink / raw)
  To: dev; +Cc: Usama Arif

In some environments, the check of local symbols catch-all
was failing. Note: this script is called during the build.

The reason is that grep returns an error if nothing is found.
The option -e of the shell script makes this error fatal.
It is not always fatal because the grep is in a command substitution.

Fixes: b403498e1422 ("build: hide local symbols in shared libraries")

Reported-by: Usama Arif <usama.arif@bytedance.com>
Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 devtools/check-symbol-maps.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/devtools/check-symbol-maps.sh b/devtools/check-symbol-maps.sh
index 8266fdf9ea..32e1fa5c8f 100755
--- a/devtools/check-symbol-maps.sh
+++ b/devtools/check-symbol-maps.sh
@@ -53,7 +53,7 @@ if [ -n "$duplicate_symbols" ] ; then
     ret=1
 fi
 
-local_miss_maps=$(grep -L 'local: \*;' $@)
+local_miss_maps=$(grep -L 'local: \*;' $@ || true)
 if [ -n "$local_miss_maps" ] ; then
     echo "Found maps without local catch-all:"
     echo "$local_miss_maps"
-- 
2.34.1


^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2022-03-08 23:03 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-03-08 21:18 [PATCH] devtools: fix symbols check Thomas Monjalon
2022-03-08 21:21 ` Thomas Monjalon
2022-03-08 21:27 ` Liang Ma
2022-03-08 22:05   ` Thomas Monjalon
2022-03-08 23:02     ` Liang Ma

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).